Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.cms
Interface KeyAgreeRecipientInfo

public interface KeyAgreeRecipientInfo
extends RecipientInfo

A class representing information on recipient and encrypted content encryption key for one or more recipients (related by a common set of key agreement algorithm parameters) in a CMS EnvelopedData.

KeyAgreeRecipientInfo is used when a key agreement method is used to agree on a key encrypting key which is then used to encrypt (or "wrap") a content encryption key. The recipient's key agreement public key is identified through a recipient certificate, whereas the originator's key agreement public key may be identified through an originator certificate or be carried as part of the KeyAgreeRecipientInfo.

KeyAgreeRecipientInfo is defined in RFC???? by the ASN.1 structure

         KeyAgreeRecipientInfo ::= SEQUENCE {
            version CMSVersion, -- always set to 3
            originator [0] EXPLICIT OriginatorIdentifierOrKey,
            ukm [1] EXPLICIT UserKeyingMaterial OPTIONAL,
            keyEncryptionAlgorithm KeyEncryptionAlgorithmIdentifier,
            recipientEncryptedKeys RecipientEncryptedKeys}

         RecipientEncryptedKeys ::= SEQUENCE OF RecipientEncryptedKey

See Also:
  `OriginatorIdentifierOrKey`, `RecipientInfo`, `RecipientEncryptedKey`

Method Summary
`OriginatorIdentifierOrKey` | `getOriginatorIdentifierOrKey()` Returns the OriginatorIdentifierOrKey for this KeyAgreeRecipientInfo
`Vector` | `getRecipientEncryptedKeys()` Returns all the RecipientEncryptedKeys contained in this KeyAgreeRecipientInfo

Methods inherited from interface com.dstc.security.cms.RecipientInfo
`getKeyEncryptionAlgorithm`

Method Detail

### getRecipientEncryptedKeys

    public Vector getRecipientEncryptedKeys()

  Returns all the RecipientEncryptedKeys contained in this KeyAgreeRecipientInfo

### getOriginatorIdentifierOrKey

    public OriginatorIdentifierOrKey getOriginatorIdentifierOrKey()

  Returns the OriginatorIdentifierOrKey for this KeyAgreeRecipientInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD